package jlifereptileserver;

import com.reptileclient.jlifeapp.PostorderApplication;
import com.reptileclient.jlifeapp.dao.hm.HmBookOrderMapper;
import com.reptileclient.jlifeapp.dao.jz.OrderGoodsMapper;
import com.reptileclient.jlifeapp.entity.hm.HmPaymentOrder;
import com.reptileclient.jlifeapp.entity.jz.OrderGoods;
import com.reptileclient.jlifeapp.service.HmPaymentOrderService;
import com.reptileclient.jlifeapp.service.HmSalesOrderService;
import com.reptileclient.jlifeapp.service.JzShopService;
import com.reptileclient.jlifeapp.service.impl.HmPaymentOrderServiceImpl;
import com.reptileclient.jlifeapp.util.HttpUtil;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = PostorderApplication.class)
public class ShopTest {

	@Autowired
	JzShopService jzShopService;

	 
	@Autowired
	HmPaymentOrderServiceImpl mPaymentOrderServiceh;

	@org.junit.Test
	public void test() {
		try {
//			jzShopService.getHmShop();
			HmPaymentOrder h=new HmPaymentOrder();
			h.setServiceContractNo("202011286703265");
			h.setStatus(6);
			mPaymentOrderServiceh.etl_to_product_update(h);
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

 

}
